KDE 4.2 PyKDE API Reference

- KDE's Python API

# ItemDeleteJob Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Job → KCompositeJob → KJob → QObject
Namespace: Akonadi

## Detailed Description

Job that deletes an item from the Akonadi storage.

This job removes the given item from the Akonadi storage.

Example:

     Akonadi.Item item = ...

     ItemDeleteJob *job = new ItemDeleteJob( item );

     if ( job->exec() )
       qDebug() << "Item deleted successfully";
     else
       qDebug() << "Error occurred";

Author:
  Volker Krause <vkrause@kde.org>

## Methods

| __init__ (self, Akonadi.Item item, QObject parent=0)
| doStart (self)

## Method Documentation

__init__ | ( | self, |
|  | Akonadi.Item | item,
|  | QObject | parent=0
| ) |  |  |

Creates a new item delete job.

Parameters:

  | item | The item to delete.
  | parent | The parent object.

doStart | ( |  | self ) |